# Update ingress protection mode Source: https://docs.orchard.hackclub.com/api/operations/projects_ingresses_protection_set/ `PUT /apiv1/projects/{id}/ingresses/{ingressId}/protection` Operation ID: `projects_ingresses_protection_set` Auth: authenticated (scope: deploy) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | | `ingressId` | path | Yes | | ## Request body ```json { "properties": { "mode": { "enum": [ "none", "password", "orchard" ], "type": "string" }, "password": { "type": "string" } }, "required": [ "mode" ], "type": "object" } ``` ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "openPaths": { "items": { "type": "string" }, "type": "array" }, "protectionBypassSecret": { "type": [ "string", "null" ] }, "protectionMode": { "enum": [ "none", "password", "orchard" ], "type": "string" } }, "required": [ "protectionMode", "protectionBypassSecret" ], "type": "object" } ```